Perch V4 (and future) Megathread

  • Did you go ahead with this? Which apps aren't PHP8 compatible at the moment?, do you know? We do have until November 2022 until PHP 7.4 becomes unsupported. I've recently developed a Perch site which uses Shop, Blog, Members, Forms and all seems well on PHP 7.4 running Perch 3.1.7.


    I'm hoping I can keep things running smoothly on 7.4 until either Perch is updated or I move all my sites over to Craft CMS. At least I've got a year to decide.

  • I'm currently in the process of getting php8 versions. I can't remember of the top of my head which ones aren't. A while ago I tested a few sites my upping the php in MAMP and it threw up deprecation warnings. The apps haven't been updated for quite a while, so I'm thinking they are all going to need looking at. The plan is to get a full set, so if I need to use any in the future I can.

  • is there any news on this? This and PHP 8 compatibility surely count as technical support.

  • I can see that some people are feeling that they need to hire third party developers or work on Perch apps themselves to make them compatible with PHP 8. To my mind, this is not optimum and is a consequence of very little communication by the Perch core team. Perhaps the Perch core team would like to rectify this by commenting and giving an update on their own work to make the apps and Perch itself compatible with PHP8? It would surely be beneficial?!

    George G  Matt A  Will B ??

  • We all know this isn't going to happen. At this point it's pretty obvious that they've taken more on than they can handle. They're either unable or unwilling to invest the time and money needed to create a viable product, and in the meantime what little users they had left are jumping ship, and I don't blame them.


    It's a shame as I'm sure this isn't what Drew and Rachel wanted Perch to become when they sold it.